# puppet-bash ![License badge][license-img]

1. [Overview](#overview)
2. [Description](#description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

Bash is  the GNU Project's shell. Bash  is the Bourne  Again SHell. Bash  is an
sh-compatible shell that incorporates useful features from the Korn shell (ksh)
and C  shell (csh).  It is  intended to  conform to  the IEEE POSIX P1003.2/ISO
9945.2 Shell and Tools standard. It offers functional improvements  over sh for
both programming and interactive use.  In addition,  most sh scripts can be run
by Bash without modification.

[gnu.org/software/bash](https://www.gnu.org/software/bash/)

## Description

Puppet module to install, deploy and configure bash.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

or

```bash
puppet module install vpgrp-bash
```

## Usage

```puppet
class { 'bash':
  package => true,
}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully CONTRIBUTING.md before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
